Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2509983004: Revert "Change call-sites now that SkCanvas is not ref-counted" (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months ago by reed1
Modified:
9 months ago
Reviewers:
CC:
chromium-reviews, blink-reviews-platform-graphics_chromium.org, dshwang, fs, nyquist+watch-blimp_chromium.org, kmarshall+watch-blimp_chromium.org, kouhei+svg_chromium.org, shaktisahu+watch-blimp_chromium.org, pdr+svgwatchlist_chromium.org, krit, maniscalco+watch-blimp_chromium.org, bgoldman+watch-blimp_chromium.org, jam, gcasto+watch-blimp_chromium.org, Justin Novosad, jbauman+watch_chromium.org, marcinjb+watch-blimp_chromium.org, Rik, einbinder+watch-test-runner_chromium.org, khushalsagar+watch-blimp_chromium.org, lethalantidote+watch-blimp_chromium.org, blink-reviews, kalyank, rwlbuis, ajuma+watch_chromium.org, scf+watch-blimp_chromium.org, mlamouri+watch-content_chromium.org, mac-reviews_chromium.org, jbroman, pdr+graphicswatchlist_chromium.org, gyuyoung2, piman+watch_chromium.org, cc-bugs_chromium.org, jochen+watch_chromium.org, mlamouri+watch-test-runner_chromium.org, anandc+watch-blimp_chromium.org, sriramsr+watch-blimp_chromium.org, Ian Vollick, tfarina, steimel+watch-blimp_chromium.org, android-webview-reviews_chromium.org, perumaal+watch-blimp_chromium.org, drott+blinkwatch_chromium.org, f(malita), darin-cc_chromium.org, danakj+watch_chromium.org, dtrainor+watch-blimp_chromium.org, Stephen Chennney
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Revert "Change call-sites now that SkCanvas is not ref-counted" This reverts commit 60c148ef13aed978fcaf5dae9e242f99618f2164. https://codereview.chromium.org/2476113002/ BUG=666154 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_precise_blink_rel TBR=esprehn@chromium.org,blundell@chromium.org,ccameron@chromium.org,danakj@chromium.org,fmalita@chromium.org,khushalsagar@chromium.org,raymes@chromium.org,sky@chromium.org,tobiasjs@chromium.org Committed: https://crrev.com/c5afa233cc6b4eff679a2e6fbac926567ac5bf17 Cr-Commit-Position: refs/heads/master@{#433136}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+199 lines, -211 lines) Patch
M android_webview/native/java_browser_view_renderer_helper.cc View 5 chunks +5 lines, -5 lines 0 comments Download
M blimp/test/support/compositor/picture_cache_test_support.cc View 1 chunk +2 lines, -1 line 0 comments Download
M cc/blimp/compositor_state_deserializer_unittest.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M cc/blimp/picture_data_conversions_unittest.cc View 1 chunk +3 lines, -1 line 0 comments Download
M cc/output/software_renderer.h View 1 chunk +1 line, -1 line 0 comments Download
M cc/output/software_renderer.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/playback/discardable_image_map.h View 2 chunks +2 lines, -2 lines 0 comments Download
M cc/playback/discardable_image_map.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M cc/playback/display_item_list_unittest.cc View 14 chunks +28 lines, -17 lines 0 comments Download
M cc/raster/gpu_raster_buffer_provider.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M cc/test/fake_content_layer_client.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M cc/test/solid_color_content_layer_client.cc View 1 chunk +2 lines, -1 line 0 comments Download
M cc/trees/layer_tree_host_pixeltest_masks.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M cc/trees/layer_tree_host_pixeltest_tiles.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/android/compositor/layer/crushed_sprite_layer.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/compositor/layer/crushed_sprite_layer.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M components/test_runner/pixel_dump.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/compositor/software_output_device_mac.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/compositor/software_output_device_mac.mm View 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/compositor/software_output_device_win.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/compositor/software_output_device_win.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M content/renderer/pepper/pepper_plugin_instance_impl.h View 1 chunk +2 lines, -3 lines 0 comments Download
M content/renderer/pepper/pepper_plugin_instance_impl.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M content/renderer/pepper/ppb_image_data_impl.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/renderer/pepper/ppb_image_data_impl.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M ppapi/proxy/ppb_image_data_proxy.h View 1 chunk +1 line, -1 line 0 comments Download
M ppapi/proxy/ppb_image_data_proxy.cc View 1 chunk +4 lines, -2 lines 0 comments Download
M skia/config/SkUserConfig.h View 1 chunk +4 lines, -0 lines 0 comments Download
M skia/ext/analysis_canvas_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M skia/ext/bitmap_platform_device_cairo.cc View 1 chunk +2 lines, -5 lines 0 comments Download
M skia/ext/bitmap_platform_device_mac.cc View 1 chunk +4 lines, -10 lines 0 comments Download
M skia/ext/bitmap_platform_device_mac_unittest.cc View 2 chunks +2 lines, -4 lines 0 comments Download
M skia/ext/bitmap_platform_device_skia.cc View 1 chunk +2 lines, -5 lines 0 comments Download
M skia/ext/bitmap_platform_device_win.cc View 1 chunk +5 lines, -5 lines 0 comments Download
M skia/ext/platform_canvas.h View 1 chunk +42 lines, -46 lines 0 comments Download
M skia/ext/platform_canvas.cc View 2 chunks +3 lines, -4 lines 0 comments Download
M skia/ext/platform_canvas_unittest.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M skia/ext/skia_utils_mac.mm View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/svg/graphics/SVGImageTest.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsContext.cpp View 1 chunk +1 line, -1 line 0 comments Download
M ui/compositor/paint_recorder.cc View 1 chunk +5 lines, -5 lines 0 comments Download
M ui/gfx/blit_unittest.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M ui/gfx/canvas.h View 3 chunks +3 lines, -10 lines 0 comments Download
M ui/gfx/canvas.cc View 3 chunks +9 lines, -12 lines 0 comments Download
M ui/gfx/render_text_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M ui/surface/transport_dib.h View 2 chunks +1 line, -3 lines 0 comments Download
M ui/surface/transport_dib_posix.cc View 1 chunk +1 line, -3 lines 0 comments Download
M ui/surface/transport_dib_win.cc View 2 chunks +3 lines, -4 lines 0 comments Download
M ui/views/border_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (16 generated)
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2509983004/1
9 months ago (2016-11-17 19:03:54 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: linux_precise_blink_rel on master.tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/linux_precise_blink_rel/builds/5277)
9 months ago (2016-11-17 19:09:58 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2509983004/1
9 months ago (2016-11-17 20:15:40 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/264431) linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
9 months ago (2016-11-17 20:16:54 UTC) #14
sunnyps
drive-by: Can you please include a link to the CL being reverted and also the ...
9 months ago (2016-11-17 20:52:07 UTC) #15
reed1
On 2016/11/17 20:52:07, sunnyps wrote: > drive-by: Can you please include a link to the ...
9 months ago (2016-11-17 20:56:07 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2509983004/1
9 months ago (2016-11-17 21:04:51 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_precise_blink_rel on master.tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/linux_precise_blink_rel/builds/5303)
9 months ago (2016-11-17 22:24:48 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2509983004/1
9 months ago (2016-11-18 02:19:13 UTC) #23
commit-bot: I haz the power
Committed patchset #1 (id:1)
9 months ago (2016-11-18 06:44:56 UTC) #25
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/c5afa233cc6b4eff679a2e6fbac926567ac5bf17 Cr-Commit-Position: refs/heads/master@{#433136}
9 months ago (2016-11-18 06:48:09 UTC) #27
sunnyps
9 months ago (2016-11-18 21:08:25 UTC) #28
Message was sent while issue was closed.
On 2016/11/17 20:56:07, reed1 wrote:
> On 2016/11/17 20:52:07, sunnyps wrote:
> > drive-by: Can you please include a link to the CL being reverted and also
the
> > bug? It also helps to have the description of the reverted CL.
> > 
> > https://codereview.chromium.org/2476113002
> > 
> > crbug.com/666154
> 
> The bug is already there. I'll definitely add the prev CL (the one being
> reverted).

Sorry, I meant the bug for the crash i.e. 664036.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b